/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package mybank;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *
 * @author Verde
 */
public class ContoCorrente {
    private String nome;
    private String cognome;
    private String codiceFiscale;
    private Date dataDiNascita;
    private double saldo;
    private int numeroContoCorrente;

    private static ArrayList<Integer> numeriContiCorrenti = new ArrayList<>();

    

    public ContoCorrente(String nome, String cognome, String codiceFiscale, Date dataDiNascita, double saldo,
            int numeroContoCorrente) {
        this.nome = nome;
        this.cognome = cognome;
        this.codiceFiscale = codiceFiscale;
        this.dataDiNascita = dataDiNascita;
        this.saldo = saldo;
        this.numeroContoCorrente = numeroContoCorrente;
        numeriContiCorrenti.add(numeroContoCorrente);
    }
    
    public static List<Integer> getNumeriContiCorrenti() {
        return numeriContiCorrenti;
    }

    public int getNumeroContoCorrente() {
        return numeroContoCorrente;
    }

    public void preleva(double quantita) throws IllegalArgumentException{
        if (quantita >= this.saldo) {
            throw new IllegalArgumentException("La quantità desiderata eccede il saldo corrente.");
        }
        else {
            this.saldo -= quantita;
        }
    }
}